Package ghidra.app.util.bin.format.omf

# Class OmfIteratedData

java.lang.Object
ghidra.app.util.bin.format.omf.OmfRecord
ghidra.app.util.bin.format.omf.OmfData
ghidra.app.util.bin.format.omf.OmfIteratedData

All Implemented Interfaces:
  `Comparable<OmfData>`

public class OmfIteratedData extends OmfData

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OmfIteratedData.DataBlock`
  Contain the definition of one part of a datablock with possible recursion

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_ITERATED_FILL`

  ### Fields inherited from class ghidra.app.util.bin.format.omf.OmfData

  `dataOffset, segmentIndex`

  ### Fields inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `ALIAS, BAKPAT, BLKDEF, BLKEND, CEXTDEF, checkSum, COMDAT, COMDEF, COMENT, DEBSYM, END, ENDREC, EXTDEF, FIXUPP, GRPDEF, LCOMDEF, LEDATA, LEXTDEF, LHEADR, LIBDIC, LIBHED, LIBLOC, LIBNAM, LIDATA, LINNUM, LINSYM, LLNAMES, LNAMES, LOCSYM, LPUBDEF, MODEND, NBKPAT, OVLDEF, PEDATA, PIDATA, PUBDEF, recordLength, recordOffset, recordType, REDATA, REGINT, RHEADR, RIDATA, SEGDEF, START, THEADR, TYPDEF, VENDEXT, VERNUM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OmfIteratedData(BinaryReader reader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getByteArray(BinaryReader reader)`
  Create a byte array holding the data represented by this object.
  `int`
  `getLength()`
  `boolean`
  `isAllZeroes()`

  ### Methods inherited from class ghidra.app.util.bin.format.omf.OmfData

  `compareTo, getDataOffset, getSegmentIndex`

  ### Methods inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `calcCheckSum, getRecordLength, getRecordName, getRecordOffset, getRecordType, hasBigFields, readCheckSumByte, readIndex, readInt1Or2, readInt2Or4, readRecord, readRecordHeader, readString, toString, validCheckSum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_ITERATED_FILL

    public static final int MAX_ITERATED_FILL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OmfIteratedData

    public OmfIteratedData(BinaryReader reader) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### isAllZeroes

    public boolean isAllZeroes()
    Specified by:
      `isAllZeroes` in class `OmfData`
    Returns:
      true if this is a block entirely of zeroes

  - ### getLength

    public int getLength()
    Specified by:
      `getLength` in class `OmfData`
    Returns:
      the length of this data in bytes

  - ### getByteArray

    public byte[] getByteArray(BinaryReader reader) throws IOException
    Description copied from class: `OmfData`
    Create a byte array holding the data represented by this object. The length of the byte array should exactly match the value returned by getLength()
    Specified by:
      `getByteArray` in class `OmfData`
    Parameters:
      `reader` - is for pulling bytes directly from the binary image
    Returns:
      allocated and filled byte array
    Throws:
      `IOException` - for problems accessing data through the reader